/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the CampaignPatchableTargetContactsInner type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CampaignPatchableTargetContactsInner{}

// CampaignPatchableTargetContactsInner struct for CampaignPatchableTargetContactsInner
type CampaignPatchableTargetContactsInner struct {
	Language *string `json:"language,omitempty"`
	Id string `json:"id"`
}

// NewCampaignPatchableTargetContactsInner instantiates a new CampaignPatchableTargetContactsInner object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCampaignPatchableTargetContactsInner(id string) *CampaignPatchableTargetContactsInner {
	this := CampaignPatchableTargetContactsInner{}
	this.Id = id
	return &this
}

// NewCampaignPatchableTargetContactsInnerWithDefaults instantiates a new CampaignPatchableTargetContactsInner object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCampaignPatchableTargetContactsInnerWithDefaults() *CampaignPatchableTargetContactsInner {
	this := CampaignPatchableTargetContactsInner{}
	return &this
}

// GetLanguage returns the Language field value if set, zero value otherwise.
func (o *CampaignPatchableTargetContactsInner) GetLanguage() string {
	if o == nil || IsNil(o.Language) {
		var ret string
		return ret
	}
	return *o.Language
}

// GetLanguageOk returns a tuple with the Language field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CampaignPatchableTargetContactsInner) GetLanguageOk() (*string, bool) {
	if o == nil || IsNil(o.Language) {
		return nil, false
	}
	return o.Language, true
}

// HasLanguage returns a boolean if a field has been set.
func (o *CampaignPatchableTargetContactsInner) HasLanguage() bool {
	if o != nil && !IsNil(o.Language) {
		return true
	}

	return false
}

// SetLanguage gets a reference to the given string and assigns it to the Language field.
func (o *CampaignPatchableTargetContactsInner) SetLanguage(v string) {
	o.Language = &v
}

// GetId returns the Id field value
func (o *CampaignPatchableTargetContactsInner) GetId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.Id
}

// GetIdOk returns a tuple with the Id field value
// and a boolean to check if the value has been set.
func (o *CampaignPatchableTargetContactsInner) GetIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.Id, true
}

// SetId sets field value
func (o *CampaignPatchableTargetContactsInner) SetId(v string) {
	o.Id = v
}

func (o CampaignPatchableTargetContactsInner) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CampaignPatchableTargetContactsInner) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.Language) {
		toSerialize["language"] = o.Language
	}
	toSerialize["id"] = o.Id
	return toSerialize, nil
}

type NullableCampaignPatchableTargetContactsInner struct {
	value *CampaignPatchableTargetContactsInner
	isSet bool
}

func (v NullableCampaignPatchableTargetContactsInner) Get() *CampaignPatchableTargetContactsInner {
	return v.value
}

func (v *NullableCampaignPatchableTargetContactsInner) Set(val *CampaignPatchableTargetContactsInner) {
	v.value = val
	v.isSet = true
}

func (v NullableCampaignPatchableTargetContactsInner) IsSet() bool {
	return v.isSet
}

func (v *NullableCampaignPatchableTargetContactsInner) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCampaignPatchableTargetContactsInner(val *CampaignPatchableTargetContactsInner) *NullableCampaignPatchableTargetContactsInner {
	return &NullableCampaignPatchableTargetContactsInner{value: val, isSet: true}
}

func (v NullableCampaignPatchableTargetContactsInner) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCampaignPatchableTargetContactsInner) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


